package com.yeejoin.amos.patrol.business.service.intfc;


import com.yeejoin.amos.patrol.business.bo.CheckInputSyncBo;
import com.yeejoin.amos.patrol.dao.entity.*;

import java.util.List;

/**
 * <h1></h1>
 *
 * @Author Jianqiang Gao
 * @Date 2021-04-01 14:27
 */
public interface IPatrolDataSyncService {

    void checkDataSync(Check check);

    void checkDataSync(List<Check> checkList);

    void checkInputDataSync(CheckInput checkInput);

    void checkInputDataSync(List<CheckInput> checkInputList);

    void checkShotDataSync(List<CheckShot> checkShotList);

    void checkInputBoDataSync(CheckInputSyncBo checkInputSyncBo);

    void checkInputBoDataSync(List<CheckInputSyncBo> checkInputSyncBoList);

    void planTaskDataSync(PlanTask planTask);

    void planTaskDataSync(List<PlanTask> planTaskList);

    void planTaskDetailDataSync(List<PlanTaskDetail> planTaskDetailList);

    void taskStatic(String runDate);
}
